<div class="container">
  <div class="row">
    <form #rform="ngForm" (submit)="register(rform)">
      <div class="form-group col-lg-12 col-md-12 col-sm-12">
        <label>
          Email
        </label>
        <input type="email" name="RegEmail" #RegEmail="ngModel" [(ngModel)]="registration.Email"
               class="form-control" placeholder="Email Address" (blur)="isEmailExist();" maxlength="50" required pattern="^[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$">
      </div>
      <div *ngIf="RegEmail.invalid && (RegEmail.dirty || RegEmail.touched)" class="alert alert-danger">
        <div *ngIf="RegEmail.errors.required">
          Email Address is required.
        </div>
        <div *ngIf="RegEmail.errors.pattern">
          Invalid email address.
        </div>
      </div>
      <div *ngIf="emailExist" class="alert alert-danger">
        Email already exist. Please try other
      </div>
      <div class="form-group col-lg-12 col-md-12 col-sm-12">
        <label>
          Phone
        </label>
        <input type="text" name="RegPhone" #RegPhone="ngModel" [(ngModel)]="registration.PhoneNumber"
               class="form-control" maxlength="20" required
               placeholder="Phone number"
               (blur)="isPhoneNumberExist();">
      </div>
      <div *ngIf="RegPhone.invalid && (RegPhone.dirty || RegPhone.touched)" class="alert alert-danger">
        <div *ngIf="RegPhone.errors.required">
          Phone Number is required.
        </div>
      </div>
      <div *ngIf="phoneNumberExist" class="alert alert-danger">
        Phone number already exist. Please try other number
      </div>
      <div class="form-group col-lg-12 col-md-12 col-sm-12">
        <label>
          Password
        </label>
        <input type="password" name="RegPassword" #RegPassword="ngModel" [(ngModel)]="registration.Password"
               class="form-control" placeholder="Password" style="text-transform: none" required maxlength="30">
      </div>
      <div *ngIf="RegPassword.invalid && (RegPassword.dirty || RegPassword.touched)" class="alert alert-danger">
        <div *ngIf="RegPassword.errors.required">
          Password is required.
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-success btn-lg btn-block" type="submit" [disabled]="rform.invalid">
          <i class="fa fa-sign-in"></i> <span> Register</span>
        </button>
      </div>
    </form>
  </div>
</div>
